﻿using Newtonsoft.Json.Linq;
using System;
using System.Diagnostics;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;

namespace FeatureGuideCharp
{
    class _09_24_sender_password_reset_REST
    {
        public void Execute()
        {
            var apiKey = "your_api_key";
            var apiUrl = "https://sandbox.esignlive.com/api";
            var senderEmail = "your_sender_email";
           
            HttpClient myClient = new HttpClient();
            myClient.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Basic", apiKey);
            myClient.DefaultRequestHeaders.Add("Accept", "application/json");

            var result = myClient.GetAsync(new Uri(apiUrl) + "/account/senders?from=1&to=100&search=" + senderEmail).Result;
            JObject returnJSON = JObject.Parse(result.Content.ReadAsStringAsync().Result);
            if (returnJSON["count"].ToObject<int>() == 1)
            {
                string senderId = returnJSON["results"][0]["id"].ToString();
                var result2 = myClient.PostAsync(new Uri(apiUrl) + "/account/senders/" + senderId + "/resetpassword", null).Result;
                Debug.WriteLine("successfully sent out the reset email!");
            }
           
        }
    }
}
